Ubuntu Key Server not in Seahorse default config

Bug #86796 reported by Miguel Pérez Colino
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
kdeutils (Ubuntu)
Undecided
Unassigned
seahorse (Ubuntu)
Wishlist
Unassigned
seahorse-plugins (Ubuntu)
Wishlist
Ken VanDine

Bug Description

Binary package hint: seahorse

Go to:
"System --> Control center --> Other --> Encryption Preferences"
In the "Key Servers" tab the ubuntu keyserver is not listed.

As ubuntu user, I receive mail from several ubuntu sources I'd like to check.
Having the ubuntu keyserver included (and if possible selected as default) would add a bit mor of trust and security at the emails received from all the ubuntu developers and contributors.

Please add:
http://keyserver.ubuntu.com:11371

Thanks.

Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

I can confirme that this happens on lastest version on feisty.

Changed in seahorse:
status: Unconfirmed → Confirmed
Revision history for this message
William Grant (wgrant) wrote :

The fix for this is trivial (just add hkp://keyserver.ubuntu.com:11371 to data/seahorse.schemas.in).

Changed in seahorse:
importance: Undecided → Wishlist
Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

one day to gusty, and still this haven't been fixed.

Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

I also think it would be a good idea, especially with it coming as default in Hardy. I generated a debdiff. It adds a patch for this in debian/patches using quilt. Patch applies and builds correctly in pbuilder. Please review.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seahorse - 2.21.91-0ubuntu3

---------------
seahorse (2.21.91-0ubuntu3) hardy; urgency=low

  [ Alexander Sack ]
  * xulrunner 1.9 support patch
    - add debian/patches/09_xul1.9.patch
    - update debian/patches/series
  * rerun autotools accordingly; this fixes SSH support as well (LP: #174441)
    - update debian/patches/10_relibtoolize.patch
  * explicitly use --with-gecko=libxul-unstable
    - update debian/rules
  * update build depends s/firefox-dev/xulrunner-1.9-dev/
    - update debian/control{.in}

  [ Andrew Starr-Bochicchio (andrewsomething) ]
  * change keyservers (LP: #86796)
    - add debian/patches/11_ubuntu_keyserver.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Mon, 18 Feb 2008 11:27:35 +0100

Changed in seahorse:
status: Confirmed → Fix Released
Revision history for this message
Mike Basinger (mike.basinger) wrote :

This fixed is not in Seahorse 2.22.0 as of 13-March-2008.

Changed in seahorse:
status: Fix Released → New
Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

Can anyone confirm this? The build log shows the patch is applied....

http://launchpadlibrarian.net/12565494/buildlog_ubuntu-hardy-i386.seahorse_2.22.0-0ubuntu1_FULLYBUILT.txt.gz

   Applying patch 11_ubuntu_keyserver.patch
   patching file debian/patches/11_ubuntu_keyserver.patch

Revision history for this message
Brian Murray (brian-murray) wrote :

The patch was actually only modifying itself and not the seahorse.schemes.in. I've cleaned it up and attached a debdiff.

Changed in seahorse:
status: New → Triaged
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seahorse - 2.22.0-0ubuntu2

---------------
seahorse (2.22.0-0ubuntu2) hardy; urgency=low

  * cleaning up debian/patches/11_ubuntu_keyserver.patch by Andrew
    Starr-Bochicchio (LP: #86796)

 -- Brian Murray <email address hidden> Tue, 18 Mar 2008 10:11:25 -0700

Changed in seahorse:
status: Triaged → Fix Released
Revision history for this message
Antono Vasiljev (antono) wrote :

Interpid's seahorse needs the same patch.

Revision history for this message
Antono Vasiljev (antono) wrote :

Interpid need this patch too

Changed in seahorse:
status: Fix Released → Incomplete
Revision history for this message
Brian Murray (brian-murray) wrote :

Antono - is this a freshly installed version of Intrepid or perhaps an upgrade from a previous version?

Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

Brian kGpg has the same prob.
should i file a new bug or attach to this one?

Revision history for this message
Steve Langasek (vorlon) wrote :

This bug was fixed in seahorse in hardy. The reason it's not having the intended effect is that seahorse-plugins is also setting a default for the seahorse gconf values, which it should not. Marking fixed for seahorse and opening a seahorse-plugins task.

Changed in seahorse:
status: Incomplete → Fix Released
Changed in seahorse-plugins:
importance: Undecided → Wishlist
status: New → Triaged
Revision history for this message
Fernando Miguel (fernandomiguel) wrote :

can someone confirm if KGpg is also fixed ?

I'm on Jaunty and I see Ubuntu key servers their, but cant be sure if it was fixed, or if I manually added it during Hardy.
Thanks

$ apt-cache show kgpg
Package: kgpg
Status: install ok installed
Priority: optional
Section: utils
Installed-Size: 2312
Maintainer: Kubuntu Developers <email address hidden>
Architecture: amd64
Source: kdeutils
Version: 4:4.1.3-0ubuntu1~intrepid1

Changed in kdeutils:
status: New → Incomplete
Revision history for this message
Harald Sitter (apachelogger) wrote :

This _never_ affected KGPG. We set the ubuntu keyserver as default in kubuntu-default-settings. So if you installed kgpg in a GNOME-only environment you will not have the entry. That is however very intent because Kubuntu provides the possibility to use a pretty vanilla KDE.

Changed in kdeutils:
status: Incomplete → Invalid
Revision history for this message
Andrew Starr-Bochicchio (andrewsomething) wrote :

Looking at the .deb file for seahorse-plugins, it is definitely installing the schemas. But it is also passing the --disable-schemas-install flag in debian/rules. Strange....

Any ideas?

Changed in seahorse-plugins:
assignee: nobody → canonical-desktop-team
Revision history for this message
Sebastien Bacher (seb128) wrote :

the schemas installation flag is because the schemas doesn't need to be registred on the build machine but on the client one

Changed in seahorse-plugins:
assignee: canonical-desktop-team → seb128
Changed in seahorse-plugins:
assignee: seb128 → ken-vandine
Revision history for this message
Ken VanDine (ken-vandine) wrote :

Attached debdiff

Changed in seahorse-plugins:
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seahorse-plugins - 2.25.92-0ubuntu2

---------------
seahorse-plugins (2.25.92-0ubuntu2) jaunty; urgency=low

  * debian/patches/01_ubuntu_keyserver.patch:
    - Added ubuntu keyserver to the defaults (LP: #86796)

 -- Ken VanDine <email address hidden> Thu, 05 Mar 2009 16:47:20 -0500

Changed in seahorse-plugins:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments